package com.youlai.boot.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.youlai.boot.system.model.entity.SysFolder;

import java.util.List;

public interface SysFolderService extends IService<SysFolder> {
    List<SysFolder> getFolderTree(String type );
    List<SysFolder> getSubFolderTree(Integer parentId);
    boolean createFolder(SysFolder folder);
    boolean deleteFolder(Integer folderId);
    boolean renameFolder(Integer folderId, String newName);

    List<Integer> getSubFolderIdsRecursively(Integer folderId);
}    